Bug 526034

Summary: Review Request: ocaml-xmlm - OCaml library for streaming XML input and output
Product: [Fedora] Fedora Reporter: Richard W.M. Jones <rjones>
Component: Package ReviewAssignee: Jason Tibbitts <tibbs>
Status: CLOSED DEFERRED QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-06 13:48:34 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Richard W.M. Jones 2009-09-28 09:02:17 EDT
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-xmlm.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-xmlm-1.0.1-1.fc11.src.rpm
Description:
This is a library for processing XML streams from OCaml code.
Comment 1 Richard W.M. Jones 2009-09-28 09:02:45 EDT
rpmlint is clean.

3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 2 Richard W.M. Jones 2009-09-28 09:08:03 EDT
Koji scratch build is here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1712969
Comment 3 Richard W.M. Jones 2009-11-11 09:41:57 EST
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-xmlm.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-xmlm-1.0.2-1.fc11.src.rpm

* Wed Nov 11 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.2-1
- New upstream release 1.0.2.
- Fixes a potential security hole where a large, malicious XML document
  could cause a stack overflow in native code.
Comment 4 Jason Tibbitts 2010-11-01 19:24:04 EDT
rpmlint is silent and the package builds fine.  There are several lines in the spec which have no purpose on modern Fedora (BuildRoot:, first line of %install, and, on F13+, the entire %clean section) which you might want to remove if you're not targeting EPEL.

You probably want to include some comment to the effect that xmlm-LICENSE was extracted from a source file so that it doesn't appear that you just included it randomly.

chrpath is a build dependency but doesn't seem to be used.

Is the contents of the test directory in the tarball something that could or should be run at build time?  From the README file it looks more like example code than a test suite, but I could be wrong.

The main package includes a .o file.  The OCaml guidelines indicate that there are situations where it might be required in the -devel package, but no situation is listed where it would be permissible in the main package.  You're the OCaml expert, however, so if you say it's needed then I'll defer to you but I wanted to make sure it wasn't in there by accident.

* source files match upstream.  sha256sum:
  d9963126b906b19003f272b63d6ea8ec5b270ed52342538c9eb4185b7235acb8  
   xmlm-1.0.2.tbz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
  ocaml-xmlm-1.0.2-1.fc15.x86_64.rpm
   ocaml(Xmlm) = 50533b2814aa16cb3cea128f7f967f3b
   ocaml-xmlm = 1.0.2-1.fc15
   ocaml-xmlm(x86-64) = 1.0.2-1.fc15
  =
   ocaml(Array) = 9c9fa5f11e2d6992c427dde4d1168489
   ocaml(Buffer) = 0ce5de86183a833ed112488a1e6d281d
   ocaml(Char) = 3da72249626c7db769beafc97036cb4f
   ocaml(Hashtbl) = ee2a3220e38a4350c5bc131ce9f3f6ce
   ocaml(List) = a0e2e49d266ff302f8667651a43f71ba
   ocaml(Pervasives) = 88cb1505c8bdf9a4dcd2cdf3452732b4
   ocaml(String) = ecc403546c1c50056801131811c39017
   ocaml(runtime) = 3.11.2

  ocaml-xmlm-devel-1.0.2-1.fc15.x86_64.rpm
   ocaml-xmlm-devel = 1.0.2-1.fc15
   ocaml-xmlm-devel(x86-64) = 1.0.2-1.fc15
  =
   ocaml-xmlm = 1.0.2-1.fc15

? %check is not present; there's a test directory, but I'm not sure if it 
   contains a test suite.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* .cma, .cmi, .so, .so.owner, META files in the main package.
* .a, .cmxa, .cmx and .mli files are in the -devel subpackage.
? a .o file is included.
Comment 5 Jason Tibbitts 2010-12-06 13:01:01 EST
Did you still want to continue with this package submission, or should we just close this ticket?
Comment 6 Richard W.M. Jones 2010-12-06 13:48:34 EST
I'm going to close this one ..  I don't have a use for it
any more since I'm trying to get rid of XML from my life.